@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Fira+Code:wght@300;400;700&display=swap');
body, ul, li, p {
  margin: 0px;
  padding: 0px;
  list-style: none;
  font-size: 1rem;
  font-family: 'Fira Code', monospace;
  box-sizing: border-box;
}

mark {
  background-color: #7C5076;
  /*#4DFA7B;*/
  font-weight: 300;
  color: white;
}

a {
  text-decoration: none;
}

body {
  background: #282A35;
}

.container {
  height: 100vh;
  display: grid;
  grid-template-columns: 1fr 1314px 1fr;
  grid-template-rows: 97px 1.7fr 33px;
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas: "nav nav nav" ". main ." "footer footer footer";
}

.nav {
  position: relative;
  grid-area: nav;
  background: #20212B;
  display: flex;
}

.main {
  position: relative;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 235px 2.1fr 240px;
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas: "code_upper" "content" "code_botton";
  grid-area: main;
}

.code_botton {
  grid-area: code_botton;
}

.code_upper {
  grid-area: code_upper;
}

.content {
  grid-area: content;
  opacity: 0;
}

.footer {
  grid-area: footer;
  background: #20212B;
}

.code_upper_img {
  margin-top: 15px;
  width: 90%;
  max-width: fit-content;
}
.code_botton_img {
  margin-bottom: 15px;
  width: 90%;
  max-width: fit-content;
}

.item_menu a {
  font-family: Fira Code;
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 15px;
  text-align: center;
  color: #436FA4;
  padding: 14px 16px;
  border-top: 2px solid #282A35;
  display: block;
  margin: 0;
}

.item_menu:hover a {
  border-top: 2px solid #c97cbf;
  cursor: pointer;
  background: #282A35;
  color: #4284db;
}

.selected a {
  border-top: 2px solid #7C5076;
  background: #282A35;
}

.item_menu_parent {
  margin-top: 102px;
  display: flex;
  flex-direction: column;
}

.pink_home {
  height: 97px;
  background-color: #7C5076;
  width: 8px;
}

.logo, .logo_small{
  margin: auto 30px auto 30px;
}
.logo > img, .logo_small > img{
  height: 38px;
}
.logo_small{
  display: none;
}

.geometric_background {
  position: absolute;
  top: 120px;
  left: 75px;
  width: 95%;
  height: calc(100vh - 285px);
  min-height: 500px;
  max-height: 630px;
  z-index: -1;
  background-image: url('../img/Union.png');
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

#hero_section {
  margin: 0 auto;
  max-width: 1088px;
}

#hero_section article {
  display: flex;
}

#more_section {
  margin: 0 auto;
  max-width: 1088px;
  text-align: center;
  margin-top: 100px;
  /* height: 500px; */
}

#hero_section article div {
  width: 80%;
}

h1 {
  font-family: Helvetica;
  font-style: normal;
  font-weight: bold;
  font-size: 64px;
  line-height: 87%;
  letter-spacing: -0.05em;
  color: #4DFA7B;
  margin: 0 0 25px 0;
}

h2 {
  font-family: Helvetica;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  line-height: 21px;
  margin: 0;
  color: #4DFA7B;
  margin: 32px 0 4px 0;
}

.texto_corrido {
  font-family: 'Fira Code', monospace;
  font-style: normal;
  font-weight: 300;
  font-size: 14px;
  line-height: 20px;
  color: #FFFFFF;
  margin-bottom: 16px;
  padding: 0 32px 0 0;
}

ul.texto_corrido_lista li {
  list-style: square;
  font-family: 'Fira Code', monospace;
  font-style: normal;
  font-weight: 300;
  font-size: 12px;
  line-height: 18px;
  color: #FFFFFF;
  margin: 0 25px;
  padding: 0px 0px 5px 0px;
}

.social_icons {
  position: absolute;
  top: 30px;
  right: 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.arrow_more {
  margin-top: 350px;
}

.social_icons a {
  padding: 4px;
  margin: 4px 0;
}

.skill_map_large {
  max-width: 1355px;
  width: 100%;
  margin: 80px auto 0;
  width: 100%;
}

.skill_map_small, .skill_map_medium {
  display: none;
}

#list_cards {
  margin-top: 50px;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}

.cards_projects {
  max-width: 620px;
  width: 580px;
  flex: 0 0 580px;
  height: 215px;
  margin: 32px auto;
  display: flex;
  background-color: #20212B;
}

#h3_card {
  margin: 16px 8px 8px 16px;
  font-family: Helvetica;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  line-height: 21px;
  color: #4DFA7B;
}

.img_thumb_project {
  width: 215px;
  flex: 0 0 215px;
  height: 99%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  border: 1px solid #20212B;
}

.content_thumb_project {
  display: flex;
  flex-direction: column;
  flex: 1;
  min-width: 0;
}

.texto_corrido_card {
  margin: 0 8px 0 16px;
  font-family: 'Fira Code', monospace;
  font-style: normal;
  font-weight: 300;
  font-size: 12px;
  line-height: 16px;
  color: #FFFFFF;
}

.card_icons {
  margin-left: 16px;
  flex-grow: 1;
}

.icons_areas ul, .labels_area ul {
  display: flex;
  flex-wrap: wrap;
  margin: 4px 0 0px 16px;
}

.labels_area {
  margin-top: auto;
}

.icon, .label {
  margin: 3px 3px;
}

.label {
  background-color: #282A35;
  border-radius: 0px;
  padding: 2px 5px 2px 5px;
  font-size: 0.6rem;
  color: #436FA4;
}

.color_icon {
  color: white;
  font-size: 1.2rem;
}

.card_buttons {
  display: flex;
  align-items: center;
}

a.button_ux {
  cursor: default;
}

.button_ux {
  font-family: Fira Code;
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  cursor: pointer;
  text-align: center;
  padding: 8px 0;
  flex-grow: 1;
  background-color: #282A35;
  color: #436FA4;
  margin: 0;
  border: 1px solid #20212B;
}

.button_ux.enable:hover {
  cursor: pointer;
  background-color: #436FA4;
  color: #282A35;
}

.button_launch {
  font-family: Fira Code;
  font-style: normal;
  font-weight: 700;
  font-size: 12px;
  cursor: pointer;
  padding: 8px 0;
  text-align: center;
  flex-grow: 1;
  background-color: #4DFA7B;
  color: #282A35;
  margin: 0;
  border: 1px solid #20212B;
}

.button_launch:hover {
  border: 1px solid #4DFA7B;
}

.section_more {
  max-width: 1088px;
  margin: 0 auto;
}

.future_img_horizontal {
  margin: 0 auto;
  display: block;
  margin-top: 50px;
  max-width: 928px;
  width: 100%;
}

.future_img_vertical {
  display: none;
}

/*  */

/*  */

/* MENU */

.menu-ativo:after {
  content: "";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.8);
}


/*  */

/*  */

/* for-tablet-portrait-up */

@media only screen and (max-width: 900px) {
  .logo{
    display: none;
  }
  .logo_small{
    display: block;
  }
  .menu-abrir, .menu-fechar {
    right: 0px;
    position: absolute;
    width: 44px;
    height: 97px;
    margin: 0;
    padding: 10px;
    border: 0px;
    cursor: pointer;
    background-color: transparent;
  }
  .barra-nav {
    background: #20212B;
    margin: 0;
    height: 100%;
    width: 90%;
    max-width: 300px;
    position: fixed;
    z-index: 1;
    top: 0;
    right: -90%;

    transition: right 0.3s ease-out;
  }
  .menu-ativo .barra-nav {
    right: 0;
  }
  .menu-ativo:after {
    content: "";
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.4);
  }

  /*  */

  .future_img_vertical {
    display: none;
  }
  .skill_map_large, .skill_map_small {
    display: none;
  }
  .skill_map_medium {
    max-width: 952px;
    width: 100%;
    display: block;
    margin: 0 auto;
  }
  .container {
    grid-template-columns: 1fr;
    grid-template-areas: "nav" "main" "footer";
  }
  #hero_section {
    max-width: 90%;
  }
  #hero_section article {
    flex-direction: column;
  }
  #hero_section article div {
    width: 100%;
  }
  .section_more {
    max-width: 90%;
  }
}

@media not all and (max-width: 900px) {

  .menu-abrir,
  .menu-fechar {
    display: none;
  }

  .item_menu_parent {
    margin-top: 0;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    padding: 0px;
    height: 100%;
  }
  .item_menu a {
    font-family: Fira Code;
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 15px;
    text-align: center;
    color: #436FA4;
    padding: 8px 16px;
    margin: 0 4px;
    border-top: 2px solid #20212B;
  }
  
  .item_menu:hover a {
    border-top: 2px solid #c97cbf;
    cursor: pointer;
    background: #282A35;
    color: #4284db;
  }
  
  .selected a {
    border-top: 2px solid #7C5076;
    background: #282A35;
  }
}

@media (max-width: 599px) {
  .future_img_horizontal {
    display: none;
  }
  .future_img_vertical {
    display: block;
    margin: 0 auto;
  }
  .skill_map_large, .skill_map_medium {
    display: none;
  }
  .skill_map_small {
    max-width: 524px;
    width: 100%;
    display: block;
    margin: 0 auto;
  }
  .cards_projects {
    height: 400px;
    width: 90%;
    flex: 0 0 90%;
    flex-direction: column;
  }

  .img_thumb_project {
      width: 100%;
      flex: none;
      height: 200px;
  }
}

/* for-tablet-landscape-up */

/* @media only screen and (min-width: 900px) {} */

/* media queries CORRETAS */

/* for-phone-only */

/* @media (max-width: 599px) { @content; } */

/* for-tablet-portrait-up */

/* @media (min-width: 600px) { @content; } */

/* for-tablet-landscape-up */

/* @media (min-width: 900px) { @content; } */

/* for-desktop-up */

/* @media (min-width: 1200px) { @content; } */

/* for-big-desktop-up  */

/* @media (min-width: 1800px) { @content; } */